package com.hp.user.client.entity;

import java.util.Date;


/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

public class AccountVO{
    /**
     * 用户Id
     */
    private String userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 微信号
     */
    private String wxNumber;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;
    /**
     * 启用状态：0:启用；1：禁用
     */
    private Short status;
    /**
     * 对应角色Id
     */
    private String roleId;
    /**
     * 微信opeanid
     */
    private String wxOpeanId;

    /**
     * 对应企业/服务商Id
     */
    private String companyId;
    /**
     * 备注
     */
    private String remarks;

    public AccountVO(){}

    public AccountVO(String userId, String userName, String wxNumber, String phone, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater, Short status, String roleId, String wxOpeanId, String companyId, String remarks) {
        this.userId = userId;
        this.userName = userName;
        this.wxNumber = wxNumber;
        this.phone = phone;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
        this.status = status;
        this.roleId = roleId;
        this.wxOpeanId = wxOpeanId;
        this.companyId = companyId;
        this.remarks = remarks;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWxNumber() {
        return wxNumber;
    }

    public void setWxNumber(String wxNumber) {
        this.wxNumber = wxNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

	public String getWxOpeanId() {
		return wxOpeanId;
	}

	public void setWxOpeanId(String wxOpeanId) {
		this.wxOpeanId = wxOpeanId;
	}
    
    
    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
